
// TimeBehavior.java
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th

/* Každých timeDelay milisekund aktualizuje sprite vetřelce
   voláním jeho metody update().
   Tato třída využívá časovač z knihovny Java 3D.
*/

import java.util.Enumeration;
import javax.media.j3d.*;


public class TimeBehavior extends Behavior
{
  private WakeupCondition timeOut;
  private AlienSprite alien;

  public TimeBehavior(int timeDelay, AlienSprite as)
  { alien = as;
    timeOut = new WakeupOnElapsedTime(timeDelay);
  }

  public void initialize()
  { wakeupOn( timeOut );
  }

  public void processStimulus( Enumeration criteria )
  { // ignoruj kritéria
    alien.update();
    wakeupOn( timeOut );
  } // konec metody: processStimulus()


}  // konec třídy: TimeBehavior
